Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.drag
Class TransferDragSourceAdapter

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.dnd.drag.TransferDragSourceAdapter

All Implemented Interfaces:
  java.util.EventListener, ITransferDragSourceListener, DragSourceListener, org.eclipse.swt.internal.SWTEventListener

Direct Known Subclasses:
  SelectionDragAdapter

    public class TransferDragSourceAdapter

extends java.lang.Object
implements ITransferDragSourceListener

Parent of all the transfer drag source adapters. Every transfer type drag source adapter should override the methods in the `DragSourceListener` interface.

Constructor Summary
`TransferDragSourceAdapter(ITransferAgent aTransferAgent)` Constructor for TransferDragSourceAdapter.

Method Summary
`void` `dragFinished(DragSourceEvent event)`
`void` `dragSetData(DragSourceEvent event)`
`void` `dragStart(DragSourceEvent event)`
`protected IDragSourceContext` `getContext()` Returns the context.
`protected IDragSourceListener[]` `getListeners()` Returns the listeners.
`ITransferAgent` `getTransferAgent()` Returns the transfer agent associated with this transfer listener.
`void` `init(IDragSourceListener[] dragSourceListeners, IDragSourceContext dragSourceContext)` Initializes this transfer drag source listener with the drag source listeners, registered against this transfer agent, and the drag source context

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransferDragSourceAdapter

    public TransferDragSourceAdapter(ITransferAgent aTransferAgent)

  Constructor for TransferDragSourceAdapter.

  Parameters:
    `aTransferAgent` - ITransferAgent that this class is an adpater for

Method Detail

### getListeners

    protected final IDragSourceListener[] getListeners()

  Returns the listeners.

  Returns:
    IDragSourceListener[]

### getContext

    protected final IDragSourceContext getContext()

  Returns the context.

  Returns:
    IDragSourceContext

### dragFinished

    public void dragFinished(DragSourceEvent event)

  Specified by:
    `dragFinished` in interface `DragSourceListener`

### dragSetData

    public void dragSetData(DragSourceEvent event)

  Specified by:
    `dragSetData` in interface `DragSourceListener`

### dragStart

    public void dragStart(DragSourceEvent event)

  Specified by:
    `dragStart` in interface `DragSourceListener`

### init

    public final void init(IDragSourceListener[] dragSourceListeners,
                           IDragSourceContext dragSourceContext)

  Description copied from interface: `ITransferDragSourceListener`
  Initializes this transfer drag source listener with the drag source listeners, registered against this transfer agent, and the drag source context

  Specified by:
    `init` in interface `ITransferDragSourceListener`
  Parameters:
    `dragSourceListeners` - the drag source listeners
    `dragSourceContext` - the drag source context

### getTransferAgent

    public final ITransferAgent getTransferAgent()

  Description copied from interface: `ITransferDragSourceListener`
  Returns the transfer agent associated with this transfer listener.

  Specified by:
    `getTransferAgent` in interface `ITransferDragSourceListener`
  Returns:
    ITransferAgent associated with this transfer listener

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.